polybori::CCacheManBase< ManagerType, CacheType, 3 > Class Template Reference

`#include <CCacheManagement.h>`

Inheritance diagram for polybori::CCacheManBase< ManagerType, CacheType, 3 >:

## Public Types

typedef CCacheManBase < ManagerType, CacheType, 3 > | self
| Set this type. More...
typedef pbori_base< self >::type | base
| Set base type. More...
Extracting inherited types
typedef base::node_type | node_type
typedef base::navigator | navigator
typedef base::manager_type | manager_type

## Public Member Functions

| CCacheManBase (const manager_type &mgr)
| Constructor. More...
node_type | find (node_type first, node_type second, node_type third) const
| Find cached value wrt. given node. More...
navigator | find (navigator first, navigator second, navigator third) const
| Find cached value wrt. given node (for navigator type) More...
void | insert (node_type first, node_type second, node_type third, node_type result) const
| Store cached value wrt. given node. More...
void | insert (navigator first, navigator second, navigator third, navigator result) const
| Store cached value wrt. given node. More...

## Member Typedef Documentation

template<class ManagerType , class CacheType >

typedef pbori_base<self>::type polybori::CCacheManBase< ManagerType, CacheType, 3 >::base

Set base type.

template<class ManagerType , class CacheType >

typedef base::manager_type polybori::CCacheManBase< ManagerType, CacheType, 3 >::manager_type

template<class ManagerType , class CacheType >

typedef base::navigator polybori::CCacheManBase< ManagerType, CacheType, 3 >::navigator

template<class ManagerType , class CacheType >

typedef base::node_type polybori::CCacheManBase< ManagerType, CacheType, 3 >::node_type

template<class ManagerType , class CacheType >

typedef CCacheManBase<ManagerType, CacheType, 3> polybori::CCacheManBase< ManagerType, CacheType, 3 >::self

Set this type.

## Constructor & Destructor Documentation

template<class ManagerType , class CacheType >

polybori::CCacheManBase< ManagerType, CacheType, 3 >::CCacheManBase | ( | const manager_type & | mgr) |  |

inline

Constructor.

## Member Function Documentation

template<class ManagerType , class CacheType >

node_type polybori::CCacheManBase< ManagerType, CacheType, 3 >::find | ( | node_type | first,
|  | node_type | second,
|  | node_type | third
| ) |  | const

inline

Find cached value wrt. given node.

References cuddCacheLookupZdd, and PBORI_PREFIX.

template<class ManagerType , class CacheType >

navigator polybori::CCacheManBase< ManagerType, CacheType, 3 >::find | ( | navigator | first,
|  | navigator | second,
|  | navigator | third
| ) |  | const

inline

Find cached value wrt. given node (for navigator type)

References polybori::explicit_navigator_cast().

template<class ManagerType , class CacheType >

void polybori::CCacheManBase< ManagerType, CacheType, 3 >::insert | ( | node_type | first,
|  | node_type | second,
|  | node_type | third,
|  | node_type | result
| ) |  | const

inline

Store cached value wrt. given node.

References Cudd_Deref, Cudd_Ref, cuddCacheInsert, and PBORI_PREFIX.

template<class ManagerType , class CacheType >

void polybori::CCacheManBase< ManagerType, CacheType, 3 >::insert | ( | navigator | first,
|  | navigator | second,
|  | navigator | third,
|  | navigator | result
| ) |  | const

inline

Store cached value wrt. given node.

The documentation for this class was generated from the following file:

- CCacheManagement.h